Reverse engineering EV plug

Show off your FreeCAD projects here!
czinehuba
Posts: 18
Joined: Mon Oct 15, 2018 4:59 am
Location: UK
Contact:

Reverse engineering EV plug

Postby czinehuba » Mon Feb 24, 2020 5:58 pm

As an extension to the the previously shared model.
I try to keep up with the latest development version, but keep a few older appimage files just in case I encounter an error.
I try to adopt and FOSS workflow whenever I can, but sometimes I have to use MS for other CAD software or 3D printing slicer.

OS: Arch Linux (GNOME/gnome)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19667 (Git) AppImage
Build type: Release
Branch: master
Hash: 97de09ad6f1bc642d1f1e322d07e537c96cdb760
Python version: 3.8.1
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United Kingdom (en_GB)

Describing this particular workflow it's just combination of part design and spreadsheet workbench with a few parameters.
parametres.png
parametres.png (302.62 KiB) Viewed 1098 times
Then tried it on my FFF printer to see it fits, does it require further adjustments to the parameters.
IMG_20200201_132646.jpg
IMG_20200201_132646.jpg (306.04 KiB) Viewed 1098 times
Then printed on SLS printer in Nylon-12
IMG_20200218_120024.jpg
IMG_20200218_120024.jpg (703.84 KiB) Viewed 1098 times
Lessons learned:
- Topo Naming issue (the hard way), had to create datum planes to extrude from or to, but I got it working in the end.
- Coming from other CAD background (Inventor and Fusion360 mainly, but also do Solidworks and SiemensNX) I got used to certain workflows, and sometimes it is hard to loose those habits

- My biggest bugbear currently working with other project is that I can reference values from spreadsheet workbench, but couldn't get it to work with reference other dimensions ie. from different sketches, etc. if anybody can give me hints with that, would be great.

I'll try to answer any further questions if I can.
Last edited by Kunda1 on Mon Feb 24, 2020 6:10 pm, edited 1 time in total.
Reason: Fixed typo on thread title
User avatar
DeepSOIC
Posts: 7479
Joined: Fri Aug 29, 2014 12:45 am
Location: Saint-Petersburg, Russia

Re: Reverse engineering EV plug

Postby DeepSOIC » Wed Mar 04, 2020 1:37 pm

wow, this fff printout looks awesome! How did you get the overhangs printed so flawlessly? Dissolvable supports?

czinehuba wrote:
Mon Feb 24, 2020 5:58 pm
that I can reference values from spreadsheet workbench, but couldn't get it to work with reference other dimensions ie. from different sketches
It's done as "=Sketch008.Constraints.NameOfYourConstraint", NameOfYourConstraint stands for what you type into name field when creating constraints.

You can also reference plain edges, vertices, etc. as "=SomeObject.Shape.Edge15.Length", but it's usually a bad idea because of topological naming issue. It is convenient to explore the available attributes with Py Console: type "App.ActiveDocument.SomeObject.Shape.", and you'll see the list of available attributes ("Edge15"-like attributes are not listed there, but the rest are).
czinehuba
Posts: 18
Joined: Mon Oct 15, 2018 4:59 am
Location: UK
Contact:

Re: Reverse engineering EV plug

Postby czinehuba » Wed Mar 04, 2020 10:26 pm

DeepSOIC wrote:
Wed Mar 04, 2020 1:37 pm
wow, this fff printout looks awesome! How did you get the overhangs printed so flawlessly? Dissolvable supports?

czinehuba wrote:
Mon Feb 24, 2020 5:58 pm
that I can reference values from spreadsheet workbench, but couldn't get it to work with reference other dimensions ie. from different sketches
It's done as "=Sketch008.Constraints.NameOfYourConstraint", NameOfYourConstraint stands for what you type into name field when creating constraints.

You can also reference plain edges, vertices, etc. as "=SomeObject.Shape.Edge15.Length", but it's usually a bad idea because of topological naming issue. It is convenient to explore the available attributes with Py Console: type "App.ActiveDocument.SomeObject.Shape.", and you'll see the list of available attributes ("Edge15"-like attributes are not listed there, but the rest are).
Thanks for the tip with referencing other dimensions.

The fff print was done with solid supports in Prusa PETG, on MK3S. Haven't used soluble support.
czinehuba
Posts: 18
Joined: Mon Oct 15, 2018 4:59 am
Location: UK
Contact:

Re: Reverse engineering EV plug

Postby czinehuba » Sun Mar 15, 2020 4:00 pm

DeepSOIC wrote:
Wed Mar 04, 2020 1:37 pm
wow, this fff printout looks awesome! How did you get the overhangs printed so flawlessly? Dissolvable supports?

czinehuba wrote:
Mon Feb 24, 2020 5:58 pm
that I can reference values from spreadsheet workbench, but couldn't get it to work with reference other dimensions ie. from different sketches
It's done as "=Sketch008.Constraints.NameOfYourConstraint", NameOfYourConstraint stands for what you type into name field when creating constraints.

You can also reference plain edges, vertices, etc. as "=SomeObject.Shape.Edge15.Length", but it's usually a bad idea because of topological naming issue. It is convenient to explore the available attributes with Py Console: type "App.ActiveDocument.SomeObject.Shape.", and you'll see the list of available attributes ("Edge15"-like attributes are not listed there, but the rest are).
Tried to do how you said, but not having any luck . I'm missing something obvious but can't figure out for the life of me.Tried other ways as well but I can't used it as an other parameter.

Would adjust this file so the extrusion would reference the width from the sketch it would be much appreciated.
test.FCStd
(5.79 KiB) Downloaded 2 times
Attachments
Screenshot from 2020-03-15 15-51-11.png
Screenshot from 2020-03-15 15-51-11.png (249.56 KiB) Viewed 450 times
Screenshot from 2020-03-15 15-50-52.png
Screenshot from 2020-03-15 15-50-52.png (303.15 KiB) Viewed 450 times